Page MenuHomePhabricator

Fix for lldb-platform linking error on OSX/CMake
ClosedPublic

Authored by vharron on Jan 11 2015, 10:43 AM.

Details

Summary

Undefined symbols for architecture x86_64:

"_liblldb_coreVersionString", referenced from:
    lldb_private::GetVersion() in lldb.cpp.o

ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
[6/12] Linking CXX shared library lib/liblldb.3.6.0.dylib
ninja: build stopped: subcommand failed.

Diff Detail

Repository
rL LLVM

Event Timeline

vharron updated this revision to Diff 17990.Jan 11 2015, 10:43 AM
vharron retitled this revision from to Fix for lldb-platform linking error on OSX/CMake.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: bobcam01, ovyalov, sivachandra.
vharron set the repository for this revision to rL LLVM.
vharron added a subscriber: Unknown Object (MLST).
vharron edited reviewers, added: clayborg; removed: chandlerc.Jan 15 2015, 10:44 PM
bobcam01 accepted this revision.Jan 16 2015, 10:09 AM
bobcam01 edited edge metadata.

works for me (and is already checked in I think).

This revision is now accepted and ready to land.Jan 16 2015, 10:09 AM
vharron closed this revision.Jan 19 2015, 10:33 AM
clayborg edited edge metadata.Jan 19 2015, 11:38 AM

Look good.